Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Zip.ArchiveState

    java.lang.Object
      org.apache.tools.ant.taskdefs.Zip.ArchiveState

Enclosing class:
  Zip

public static class Zip.ArchiveState
extends java.lang.Object

Holds the up-to-date status and the out-of-date resources of the original archive.

Since:
  Ant 1.5.3

Method Summary
`Resource[][]` | `getResourcesToAdd()`
`boolean` | `isOutOfDate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isOutOfDate

    public boolean isOutOfDate()

### getResourcesToAdd

    public Resource[][] getResourcesToAdd()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.